# Quick Setup

This section lets you quickly configure a calendar to get up and running!

## Step One

The first step is to choose from a list of predefined calendars that will be used as the basis to get your calendar started with. All of these calendars can be further customized after they are loaded. They are here to provide a simple starting point for your game.

![](../images/calendar-qs-1.png)

### Choose a Predefined Calendar

The following calendars can be selected to configure current calendar:

| Calendar                                   | Description                                                             | Contains Preset Notes | Initial Date                  |
|--------------------------------------------|-------------------------------------------------------------------------|-----------------------|-------------------------------|
| Gregorian                                  | This the standard real life calendar                                    | No                    | The current date will be used |
| Dark Sun                                   | This is the calendar from the Dark Sun setting for Dungeons and Dragons | No                    | Scorch 1,1                    |
| Das Schwarze Auge/The Dark Eye 5th Edition | This is the calendar from the Das Schwarze Auge/The Dark Eye world      | Yes (Holidays)        | Efferd 2, 1040BF              |
| Eberron                                    | This is the calendar from the Eberron setting for Dungeons and Dragons  | Yes (Holidays)        | Zarantyr 1, 998 YK            |
| Exalted                                    | This is the calendar from White Wolf's Exalted setting                  | No                    | 25, Descending Air, 768       |
| Exandrian                                  | This is the calendar from the Exandria setting for Dungeons and Dragons | Yes (Holidays)        | Horisal 1, 812 P.D.           |
| Forbidden Lands                            | This is the calendar from the Forbidden Lands setting                   | No                    | Springrise 01, 1165           |
| Forgotten Realms: Harptos                  | This is the calendar used across Faerun in the Forgotten Realms         | Yes (Holidays)        | Hammer 1, 1495 DR             |
| Golarian: Pathfinder 1E                    | This is the calendar from the Pathfinder 1E game                        | No                    | Abadius 1, 4710 AR            |
| Golarian: Pathfinder 2E                    | This is the calendar from the Pathfinder 2E game                        | No                    | Abadius 1, 4710 AR            |
| Greyhawk                                   | This is the calendar from the Greyhawk setting for Dungeons and Dragons | No                    | Needfest 1, 591 cy            |
| Traveller: Imperial Calendar               | This is the Imperial calendar used for the Traveller game system        | No                    | 1, 1000                       |
| Warhammer: Imperial Calendar               | This is the calendar used by the Imperium in the Fantasy Warhammer game | No                    | Hexenstag 1, 2522             |
| Symbaroum: Ambrian Calendar                | This is the calendar for the Ambrian Calendar from the Symbaroum system | No                    | Elisal 06, 22                 |


### Add Preset Notes

Some predefined calendars come with preset notes that can be loaded. Having this option checked will load these notes, otherwise the notes will be ignored.

## Step 2

The second step allows you to choose the starting date for you calendar and a few other options. Once you are happy with the settings you can choose save and all the changes will be saved.

![](../images/calendar-qs-2.png)
